<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.DbControl"	
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.ItemContext"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="java.util.List"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~specimentube.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
.yellow-label td:not(.help)
{
	background-color: #FFFFC0;
}
.moreboxes
{
	background-color: #ffff00;
	color: #000000;
	padding: 2px 0.5em;
	margin-bottom: 0.25em;
	margin-left: 0.5em;
	border-width: 2px;
	border-radius: 5px;
}

.moreboxes::before
{
	content: url('../images/warning.png');
	vertical-align: top;
	margin-right: 0.25em;
}

</style>

</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Specimen tube registration" 
		/></p:path>
	
	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Enter Case Name</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">Case name</td>
				<td class="input">
					<input type="text" name="caseName" id="caseName"
						class="required auto-init" data-auto-init="focus" 
						style="width: 12em;" maxlength="12">
				</td>
				<td class="status" id="caseName.status"></td>
				<td class="help">
					<span id="caseName.message" class="message"></span>
					The 7-digit case (barcode) associated with this specimen tube.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Enter Case information</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Number of tubes</td>
				<td class="input">
					<input type="text" name="nofTubes" id="nofTubes"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="arrivalDate"
					  	style="width: 12em;" maxlength="1" value="1">
				</td>
				<td class="status" id="nofTubes.status"></td>
				<td class="help">
					<span id="nofTubes.message" class="message"></span>
					Number of tubes in this case.
				</td>
			</tr>
			<tr valign="top">
				<td class="prompt">Arrival date</td>
				<td class="input">
					<input type="text" name="arrivalDate" id="arrivalDate" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="samplingDate"
						data-disallow-future-date="1"
						style="width: 12em;" maxlength="10">
				</td>
				<td class="status" id="arrivalDate.status"></td>
				<td class="help">
					<span id="arrivalDate.message" class="message"></span>
					Date when the specimen tubes arrived(YYYYMMDD or MMDD).
				</td>
			</tr>
			<tr>
				<td class="prompt">Sampling date</td>
				<td class="input">
					<input type="text" name="samplingDate" id="samplingDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="samplingTime"
						style="width: 12em;" maxlength="10">
					Time <input type="text" name="samplingTime" id="samplingTime"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="rnaLaterDate"
						style="width: 6em;" maxlength="5"></span>
				</td>
				<td class="status" id="samplingDate.status"></td>
				<td class="help">
					<span id="samplingDate.message" class="message"></span>
					Date (+time) of surgical removal (YYYYMMDD, HHMM)
				</td>
			</tr>
			<tr>
				<td class="prompt">RNA Later date</td>
				<td class="input">
					<input type="text" name="rnaLaterDate" id="rnaLaterDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="rnaLaterTime"
						style="width: 12em;" maxlength="10">
					Time <input type="text" name="rnaLaterTime" id="rnaLaterTime"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="biopsyType"
						style="width: 6em;" maxlength="5">
					</td>
				<td class="status" id="rnaLaterDate.status"></td>
				<td class="help">
					<span id="rnaLaterDate.message" class="message"></span>
					Date+time of pathology handling (YYYYMMDD, HHMM)
				</td>
			</tr>
			<tr>
				<td class="prompt">Laterality</td>
				<td class="input">
					<label id="lateralityLeft"><input type="radio" name="laterality" id="lateralityLEFT" value="LEFT">LEFT</label><br>
					<label id="lateralityRight"><input type="radio" name="laterality" id="lateralityRIGHT" value="RIGHT">RIGHT</label><br>
					<label id="lateralityUnknown"><input type="radio" name="laterality" id="lateralityU" value="" checked><i>unknown</i></label>
					<span id="lateralityFromCase" style="display: none; font-style: italic;">(From existing case)</span>
				</td>
				<td class="status" id="laterality.status"></td>
				<td class="help">
					<span id="laterality.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Biopsy type</td>
				<td class="input">
					<select name="biopsyType" id="biopsyType"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="otherPathNote">
						<option selected value="" >unknown
						<option value="SpecimenSurgery">SpecimenSurgery
						<option value="SpecimenCoreBiopsy">SpecimenCoreBiopsy
						<option value="SpecimenCoreBiopsy2nd">SpecimenCoreBiopsy2nd
						<option value="SpecimenFineNeedleAspiration" >SpecimenFineNeedleAspiration
					</select>
				</td>
				<td class="status" id="biopsyType.status"></td>
				<td class="help">
					<span id="biopsyType.message" class="message"></span>
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Other path note</td>
				<td class="input">
					<textarea name="otherPathNote" id="otherPathNote" rows="3"></textarea>
				</td>
				<td class="status" id="otherPathNote.status"></td>
				<td class="help">
					<span id="otherPathNote.message" class="message"></span>
					In this field, enter ALL text noted on the referral form by the pathologist.
				</td>
			</tr>
			</table>
		</div>
	</div>
		
	<div class="step" id="step-3">
		<div class="step-no">3</div>
		<div class="step-title">Enter tube information</div>
		<div class="step-content">
		
			<table id="specimen-tubes" class="step-form">
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td><base:button id="gostop" title="Stop" image="cancel.png" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>